Bug 725754 - Cannot run Qt Packager in Installation, throws UI error
Cannot run Qt Packager in Installation, throws UI error
Status: RESOLVED DUPLICATE of bug 725722
Classification: openSUSE
Product: openSUSE 12.1
Classification: openSUSE
Component: YaST2
RC 1
Other Other
: P5 - None : Major (vote)
: ---
Assigned To: Thomas Göttlicher
Jiri Srain
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-21 12:01 UTC by Lukas Ocilka
Modified: 2011-10-21 13:44 UTC (History)
2 users (show)

See Also:
Found By: Development
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Screenshot (289.53 KB, image/png)
2011-10-21 12:01 UTC, Lukas Ocilka
Details
y2log (77.43 KB, application/x-gzip)
2011-10-21 12:03 UTC, Lukas Ocilka
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lukas Ocilka 2011-10-21 12:01:52 UTC
Created attachment 458203 [details]
Screenshot

Opening Software selection in Installation proposal throws an UI
syntax error. Couldn't load plug-in qt_pkg.
Comment 1 Lukas Ocilka 2011-10-21 12:03:48 UTC
Created attachment 458204 [details]
y2log

2011-10-21 11:54:33 <3> linux(2877) [ui] YUIPlugin.cc(YUIPlugin):64 Could not load UI plugin "qt_pkg": /usr/lib64/YaST2/plugin/libpy2qt_pkg.so.2: undefined symbol: _ZN4zypp4repo24RepoVariablesUrlReplacerC1Ev
2011-10-21 11:54:33 <3> linux(2877) [qt-ui] YQPackageSelectorPluginStub.cc(YQPackageSelectorPluginStub):64 Plugin qt_pkg does not provide PSP symbol
2011-10-21 11:54:33 <2> linux(2877) [ui] YQPackageSelectorPluginStub.cc(createPatternSelector):89       THROW:    Couldn't load plug-in qt_pkg
2011-10-21 11:54:33 <2> linux(2877) [ui] YCP_UI.cc(ReplaceWidget):855   CAUGHT:   Couldn't load plug-in qt_pkg
2011-10-21 11:54:33 <3> linux(2877) [libycp] Wizard.ycp:749 UI::ReplaceWidget() failed: UI::ReplaceWidget( `id (`contents), `PatternSelector (`id (`patterns)) )
Comment 2 Thomas Göttlicher 2011-10-21 12:15:44 UTC
This might be caused by a zypp version incompatibility.
Comment 3 Lukas Ocilka 2011-10-21 12:16:40 UTC
More info: Build 378, x86_64, Installation DVD
Comment 4 Lukas Ocilka 2011-10-21 12:19:57 UTC
The same applies to ncurses...
Comment 5 Stephan Kulow 2011-10-21 13:27:50 UTC
build379 is only better after installation, the installation-images were not rebuilt. But that's on top of the list of most annoying RC1 bugs ;(

*** This bug has been marked as a duplicate of bug 725722 ***
Comment 6 Lukas Ocilka 2011-10-21 13:44:57 UTC
Well, when I searched for such bug, I could not find it. Then I went for
a lunch and reported it later :) Sorry...